Summary:	Linux Rock Guitar Amplifier for Jack Audio Connektion Kit
Name:		guitarix
Version:	0.44.1
Release:	3
License:	GPL v2+, GPL v3+ (abgate plugin)
Group:		Applications/Multimedia
Source0:	http://downloads.sourceforge.net/guitarix/%{name}2-%{version}.tar.xz
# Source0-md5:	d1757e08ddc54c4ec07defea6a30ac5b
Patch0:		zita-resampler-1.10.patch
Patch1:		gcc13.patch
Patch2:		always_inline.patch
URL:		https://guitarix.org/
BuildRequires:	avahi-gobject-devel
BuildRequires:	bluez-libs-devel
BuildRequires:	boost-devel >= 1.42
BuildRequires:	cairo-devel
BuildRequires:	curl-devel
BuildRequires:	eigen3
BuildRequires:	faust
BuildRequires:	fftw3-devel >= 3.1.2
BuildRequires:	fftw3-single-devel
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel
BuildRequires:	glibmm-devel >= 2.24.0
BuildRequires:	gperf
BuildRequires:	gtk+3-devel
BuildRequires:	gtkmm3-devel
BuildRequires:	intltool
BuildRequires:	jack-audio-connection-kit-devel > 0.109.1
BuildRequires:	ladspa-devel
BuildRequires:	liblrdf-devel
BuildRequires:	libsigc++-devel
BuildRequires:	libsndfile-devel >= 1.0.17
BuildRequires:	lilv-devel
BuildRequires:	sassc
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
BuildRequires:	zita-convolver-devel >= 4.0.0
BuildRequires:	zita-resampler-devel
Requires:	ladspa
Requires:	fonts-TTF-Roboto
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoprovfiles	%{_libdir}/(ladspa|lv2)

%description
Guitarix is a simple Linux Rock Guitar Amplifier for jack (Jack Audio
Connektion Kit) with one input and two outputs. Designed to get nice
thrash/metal/rock/blues guitar sounds. There are controls for bass,
middle, treble, gain (in/out), compressor, preamp, tube's, drive,
overdrive, oversample, anti-aliase, fuzz, balance, distortion,
freeverb, impulse response, vibrato, chorus, delay, crybaby(wah),
ampselector, tonestack, and echo. For 'pressure' in the sound you can
use the feedback and feedforward sliders.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
CC="%{__cc}" \
CXX="%{__cxx}" \
CFLAGS="%{rpmcflags}" \
CXXFLAGS="%{rpmcxxflags}" \
LDFLAGS="%{rpmldflags}" \
./waf configure \
	--cxxflags-release="-DNDEBUG" \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--ladspadir=%{_libdir}/ladspa \
	--mod-lv2 \
	--ladspa \
%ifarch %{ix86}
	--disable-sse \
%endif
	--new-ladspa

./waf build

%install
rm -rf $RPM_BUILD_ROOT

./waf install \
	--destdir=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.so

%find_lang %{name}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc changelog README*
%attr(755,root,root) %{_bindir}/guitarix
%attr(755,root,root) %{_libdir}/libgxw.so.0.*
%attr(755,root,root) %ghost %{_libdir}/libgxw.so.0
%attr(755,root,root) %{_libdir}/libgxwmm.so.0.*
%attr(755,root,root) %ghost %{_libdir}/libgxwmm.so.0
%attr(755,root,root) %{_libdir}/ladspa/*.so
%{_datadir}/ladspa/rdf/*.rdf
%dir %{_libdir}/lv2/gx*
%attr(755,root,root) %{_libdir}/lv2/gx*/*.so
%{_libdir}/lv2/gx*/*.ttl
%{_libdir}/lv2/gx*/modgui
%{_desktopdir}/guitarix.desktop
%{_datadir}/gx_head
%{_datadir}/metainfo/org.guitarix.guitarix.metainfo.xml
%{_pixmapsdir}/*.png
%changelog
* Wed Jul 05 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/guitarix.git;a=log;h=master

* Wed Jul 05 2023 Jan Palus <atler@pld-linux.org> d64ab6c
- boost rebuild

* Wed Jul 05 2023 Jan Palus <atler@pld-linux.org> d370ea1
- BRs for tar.xz source

* Wed Jul 05 2023 Jan Palus <atler@pld-linux.org> 5bd73f3
- define "always_inline" after including system headers

* Wed Jul 05 2023 Jan Palus <atler@pld-linux.org> b7c504c
- fix build with gcc >= 13

* Wed Jul 05 2023 Jan Palus <atler@pld-linux.org> dbca578
- fix detection of zita-resampler >= 1.10

* Fri Feb 17 2023 Jan Palus <atler@pld-linux.org> 97a6f65
- boost rebuild

* Tue Jun 07 2022 Jan Palus <atler@pld-linux.org> 3109531
- up to 0.44.1

* Sat Jan 15 2022 Jan Palus <atler@pld-linux.org> 259386c
- boost rebuild

* Mon Aug 16 2021 Jan Palus <atler@pld-linux.org> 4d97c82
- boost rebuild

* Mon Aug 16 2021 Jan Palus <atler@pld-linux.org> b5878a8
- fix build with glib2 >= 2.68 (from gentoo)

* Sun Aug 09 2020 Jan Rękorajski <baggins@pld-linux.org> e4b42de
- disable SSE on ix86
- rel 2

* Sat Aug 08 2020 Jan Rękorajski <baggins@pld-linux.org> 865fea5
- up to 0.41.0

* Mon Oct 07 2019 Jan Rękorajski <baggins@pld-linux.org> 7bda421
- rebuild with boost 1.71
- release 2 (by relup.sh)

* Fri Apr 19 2019 Jan Rękorajski <baggins@pld-linux.org> 3f8992d
- up to 0.38.1

* Fri Aug 17 2018 Jacek Konieczny <jajcus@jajcus.net> 694c49d
- Version: 0.37.3

* Fri Dec 08 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> badcb7c
- Version: 0.36.1

* Wed Sep 13 2017 Jacek Konieczny <jajcus@jajcus.net> 11835d6
- Version: 0.35.6

* Wed Jun 07 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> 3bd056a
- Version: 0.35.3

* Sun Apr 09 2017 Jan Rękorajski <baggins@pld-linux.org> 365485b
- rebuild with boost 1.63.0
- release 2 (by relup.sh)

* Sun Jan 22 2017 Jacek Konieczny <jajcus@jajcus.net> 293ee64
- Version: 0.35.2

